<?xml version="1.0" encoding="UTF-8"?>

<mule xmlns:ee="http://www.mulesoft.org/schema/mule/ee/core" xmlns:http="http://www.mulesoft.org/schema/mule/http"
	xmlns="http://www.mulesoft.org/schema/mule/core"
	xmlns:doc="http://www.mulesoft.org/schema/mule/documentation" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.mulesoft.org/schema/mule/core http://www.mulesoft.org/schema/mule/core/current/mule.xsd
http://www.mulesoft.org/schema/mule/http http://www.mulesoft.org/schema/mule/http/current/mule-http.xsd
http://www.mulesoft.org/schema/mule/ee/core http://www.mulesoft.org/schema/mule/ee/core/current/mule-ee.xsd">
	<http:listener-config name="HTTP_Listener_config" doc:name="HTTP Listener config" doc:id="a24fb70d-35a6-43f1-a259-f82449fd145c" >
		<http:listener-connection host="0.0.0.0" port="${http.port}" />
	</http:listener-config>
	<configuration-properties doc:name="Configuration properties" doc:id="28658c2b-374f-4c96-bec4-861a2bd7ac7d" file="config.yaml" />
	<flow name="world-countries-1Flow" doc:id="c3e62fe3-5466-4908-a9e0-4a36d43be7e3" >
		<http:listener doc:name="Listener" doc:id="1330c20c-3c66-45c4-b80e-4b28c23205cb" config-ref="HTTP_Listener_config" path="/country"/>
		<ee:transform doc:name="Transform Message" doc:id="1d1557fc-4c5e-4a53-84e8-9fffbd98dd2d" >
			<ee:message >
				<ee:set-payload ><![CDATA[%dw 2.0
output application/json
---
{
	"message": "South Africa"
}]]></ee:set-payload>
			</ee:message>
		</ee:transform>
	</flow>
</mule>
